Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package classpath
  Definition Classes
    nsc
- AggregateClassPath
- ClassFileEntry
- ClassPathEntries
- ClassPathFactory
- CtSymClassPath
- DirectoryClassPath
- DirectoryLookup
- DirectorySourcePath
- FileBasedCache
- FileUtils
- JFileDirectoryLookup
- JrtClassPath
- PackageEntry
- PackageNameUtils
- SourceFileEntry
- VirtualDirectoryClassPath
- ZipAndJarClassPathFactory
- ZipAndJarFileLookupFactory
- ZipAndJarSourcePathFactory
- ZipArchiveFileLookup

c

scala.tools.nsc.classpath

# ClassPathEntries

###
Companion object ClassPathEntries

#### case class ClassPathEntries(packages: collection.Seq[PackageEntry], classesAndSources: collection.Seq[ClassRepresentation]) extends Product with Serializable

Source
  ClassPath.scala

Linear Supertypes
java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ClassPathEntries
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

Implicitly

1. by entry2Tuple
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ClassPathEntries(packages: collection.Seq[PackageEntry], classesAndSources: collection.Seq[ClassRepresentation])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ClassPathEntries toany2stringadd[ClassPathEntries] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ClassPathEntries, B)
   Implicit
     This member is added by an implicit conversion from ClassPathEntries toArrowAssoc[ClassPathEntries] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val classesAndSources: collection.Seq[ClassRepresentation]
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def ensuring(cond: (ClassPathEntries) => Boolean, msg: => Any): ClassPathEntries
   Implicit
     This member is added by an implicit conversion from ClassPathEntries toEnsuring[ClassPathEntries] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (ClassPathEntries) => Boolean): ClassPathEntries
    Implicit
      This member is added by an implicit conversion from ClassPathEntries toEnsuring[ClassPathEntries] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): ClassPathEntries
    Implicit
      This member is added by an implicit conversion from ClassPathEntries toEnsuring[ClassPathEntries] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): ClassPathEntries
    Implicit
      This member is added by an implicit conversion from ClassPathEntries toEnsuring[ClassPathEntries] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ClassPathEntries toStringFormat[ClassPathEntries] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  val packages: collection.Seq[PackageEntry]
22.  def productArity: Int
    Implicit
      This member is added by an implicit conversion from ClassPathEntries to(collection.Seq[PackageEntry], collection.Seq[ClassRepresentation]) performed by method entry2Tuple in scala.tools.nsc.classpath.ClassPathEntries.
    Definition Classes
      Product2 → Product
23.  def productElement(n: Int): Any
    Implicit
      This member is added by an implicit conversion from ClassPathEntries to(collection.Seq[PackageEntry], collection.Seq[ClassRepresentation]) performed by method entry2Tuple in scala.tools.nsc.classpath.ClassPathEntries.
    Definition Classes
      Product2 → Product
    Annotations
      @throws(classOf[java.lang.IndexOutOfBoundsException])
24.  def productElementNames: Iterator[String]
    Definition Classes
      Product
25.  def swap: (collection.Seq[ClassRepresentation], collection.Seq[PackageEntry])
    Implicit
      This member is added by an implicit conversion from ClassPathEntries to(collection.Seq[PackageEntry], collection.Seq[ClassRepresentation]) performed by method entry2Tuple in scala.tools.nsc.classpath.ClassPathEntries.
    Definition Classes
      Tuple2
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Implicit
      This member is added by an implicit conversion from ClassPathEntries to(collection.Seq[PackageEntry], collection.Seq[ClassRepresentation]) performed by method entry2Tuple in scala.tools.nsc.classpath.ClassPathEntries.
    Definition Classes
      Tuple2 → AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Shadowed Implicit Value Members

1.  def productElementNames: Iterator[String]
   Implicit
     This member is added by an implicit conversion from ClassPathEntries to(collection.Seq[PackageEntry], collection.Seq[ClassRepresentation]) performed by method entry2Tuple in scala.tools.nsc.classpath.ClassPathEntries.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (classPathEntries: (collection.Seq[PackageEntry], collection.Seq[ClassRepresentation])).productElementNames

   Definition Classes
     Product

### Deprecated Value Members

1.  def →[B](y: B): (ClassPathEntries, B)
   Implicit
     This member is added by an implicit conversion from ClassPathEntries toArrowAssoc[ClassPathEntries] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion entry2Tuple fromClassPathEntries to (collection.Seq[PackageEntry], collection.Seq[ClassRepresentation])

### Inherited by implicit conversion any2stringadd fromClassPathEntries to any2stringadd[ClassPathEntries]

### Inherited by implicit conversion StringFormat fromClassPathEntries to StringFormat[ClassPathEntries]

### Inherited by implicit conversion Ensuring fromClassPathEntries to Ensuring[ClassPathEntries]

### Inherited by implicit conversion ArrowAssoc fromClassPathEntries to ArrowAssoc[ClassPathEntries]

### Ungrouped